package com.sooka.system.mapper;

import java.util.List;
import java.util.Map;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.enums.DataSourceType;
import com.sooka.system.domain.TULog;

/**
 * 接口调用日志Mapper接口
 *
 * @author lei
 * @date 2021-07-06
 */
@DataSource(value = DataSourceType.MASTER)
public interface TULogMapper
{
    /**
     * 查询接口调用日志
     *
     * @param id 接口调用日志ID
     * @return 接口调用日志
     */
    public TULog selectTULogById(String id);

    /**
     * 查询接口调用日志列表
     *
     * @param tULog 接口调用日志
     * @return 接口调用日志集合
     */
    public List<TULog> selectTULogList(TULog tULog);

    /**
     * @return id结果集
     */
    public List<TULog> selectIds(TULog param);

    /**
     * 根据ids查询列表
     *
     * @param ids ID集合
     * @return 列表信息集合
     */
    public List<TULog> selectListbyIds(Map ids);

    /**
     * 新增接口调用日志
     *
     * @param tULog 接口调用日志
     * @return 结果
     */
    public int insertTULog(TULog tULog);

    /**
     * 修改接口调用日志
     *
     * @param tULog 接口调用日志
     * @return 结果
     */
    public int updateTULog(TULog tULog);

    /**
     * 删除接口调用日志
     *
     * @param id 接口调用日志ID
     * @return 结果
     */
    public int deleteTULogById(String id);

    /**
     * 批量删除接口调用日志
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTULogByIds(String[] ids);

    /**
     * 查询数据总量
     */
    public Long getLogCount();

    /**
     * 查询日志表中的归集量
     * @return 结果
     */
    public Map selectImputationLog(String year);
}
